🚀 Digital ID portal is now live! Check out the overview to get started.
🚀 Digital ID portal is now live! Check out the overview to get started.
Submit collected end-user data for the current interaction to advance a GBG GO journey toward completion.
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/interaction/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiKR2O0IjyUR8KV3RviKt4we",
"interactionId": "grn:::gbg:design:interaction:segment1@latest",
"participants": [
{
"domainElementId": "FullName"
},
{
"domainElementId": "DateOfBirth"
},
{
"domainElementId": "CurrentAddress"
}
],
"context": {
"subject": {
"identity": {
"currentAddress": {
"lines": [
"99 STATE ST"
],
"locality": "TUPELO",
"dependentLocality": "MS",
"postalCode": "38801",
"country": "US"
},
"dateOfBirth": "2007-11-22",
"firstName": "RED",
"lastNames": [
"HAWK"
]
}
}
}
}
'{
"status": "success"
}Documentation Index
Fetch the complete documentation index at: https://docs.go.gbgplc.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Journey instance identifier
Interaction identifier
Subject data to submit for the interaction. See the user data schema for the full structure.
Show child attributes
List of participants involved in the interaction
Show child attributes
Success
Indicates the interaction was submitted successfully
success Was this page helpful?
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/interaction/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiKR2O0IjyUR8KV3RviKt4we",
"interactionId": "grn:::gbg:design:interaction:segment1@latest",
"participants": [
{
"domainElementId": "FullName"
},
{
"domainElementId": "DateOfBirth"
},
{
"domainElementId": "CurrentAddress"
}
],
"context": {
"subject": {
"identity": {
"currentAddress": {
"lines": [
"99 STATE ST"
],
"locality": "TUPELO",
"dependentLocality": "MS",
"postalCode": "38801",
"country": "US"
},
"dateOfBirth": "2007-11-22",
"firstName": "RED",
"lastNames": [
"HAWK"
]
}
}
}
}
'{
"status": "success"
}